Add Wallet to Whitelist
curl --request POST \
--url https://api.mansa.xyz/api/v2/liquidity/onboarding/whitelist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_address": "<string>",
"label": "<string>"
}
'import requests
url = "https://api.mansa.xyz/api/v2/liquidity/onboarding/whitelist"
payload = {
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_address": "<string>",
"label": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
client_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
client_request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
wallet_address: '<string>',
label: '<string>'
})
};
fetch('https://api.mansa.xyz/api/v2/liquidity/onboarding/whitelist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "Wallet added to whitelist",
"wallet_address": "0xDEF456..."
}{
"error": {
"type": "validation_error",
"code": "missing_required_field",
"message": "The 'amount' field is required.",
"param": "amount",
"doc_url": "https://docs.mansa.io/errors/missing_required_field"
}
}{
"error": {
"type": "auth_error",
"code": "invalid_token",
"message": "Bearer token is missing or invalid."
}
}{
"error": {
"type": "rate_limit_error",
"code": "too_many_requests",
"message": "Too many requests. Please retry with exponential backoff."
}
}{
"error": {
"type": "api_error",
"code": "upstream_dependency_error",
"message": "A dependency failed to process the request."
}
}Onboarding
Add Wallet to Whitelist
POST
/
api
/
v2
/
liquidity
/
onboarding
/
whitelist
Add Wallet to Whitelist
curl --request POST \
--url https://api.mansa.xyz/api/v2/liquidity/onboarding/whitelist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_address": "<string>",
"label": "<string>"
}
'import requests
url = "https://api.mansa.xyz/api/v2/liquidity/onboarding/whitelist"
payload = {
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_address": "<string>",
"label": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
client_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
client_request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
wallet_address: '<string>',
label: '<string>'
})
};
fetch('https://api.mansa.xyz/api/v2/liquidity/onboarding/whitelist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "Wallet added to whitelist",
"wallet_address": "0xDEF456..."
}{
"error": {
"type": "validation_error",
"code": "missing_required_field",
"message": "The 'amount' field is required.",
"param": "amount",
"doc_url": "https://docs.mansa.io/errors/missing_required_field"
}
}{
"error": {
"type": "auth_error",
"code": "invalid_token",
"message": "Bearer token is missing or invalid."
}
}{
"error": {
"type": "rate_limit_error",
"code": "too_many_requests",
"message": "Too many requests. Please retry with exponential backoff."
}
}{
"error": {
"type": "api_error",
"code": "upstream_dependency_error",
"message": "A dependency failed to process the request."
}
}Authorizations
API key for authentication
JWT token following RFC001 specification
Body
application/json

